Create a new Startup Script
curl --request POST \
--url https://api.cloud.onidel.com/startup_scripts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Install NGINX",
"content": "#!/bin/bash\napt-get update && apt-get install -y nginx",
"team_id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac"
}
'import requests
url = "https://api.cloud.onidel.com/startup_scripts"
payload = {
"name": "Install NGINX",
"content": "#!/bin/bash
apt-get update && apt-get install -y nginx",
"team_id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Install NGINX',
content: '#!/bin/bash\napt-get update && apt-get install -y nginx',
team_id: 'c1d45377-b2a9-4407-ab8d-6909c34dfaac'
})
};
fetch('https://api.cloud.onidel.com/startup_scripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"script": {
"id": "b7e3f1a2-5678-4def-abcd-123456789abc",
"name": "Install NGINX",
"content": "#!/bin/bash\napt-get update && apt-get install -y nginx",
"created": "2024-06-15T08:00:00Z",
"updated": "2024-06-15T08:00:00Z"
}
}Startup Scripts
Create a new Startup Script
Add a new startup script to the team. Maximum 10 scripts per team.
POST
/
startup_scripts
Create a new Startup Script
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Startup script created successfully
Show child attributes
Show child attributes
⌘I